package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IRobotDataset RobotDataset存储接口
type IRobotDataset interface {
	// 查询数据
	Query(ctx context.Context, params schema.RobotDatasetQueryParam, opts ...schema.RobotDatasetQueryOptions) (*schema.RobotDatasetQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.RobotDatasetQueryOptions) (*schema.RobotDataset, error)
	// 创建数据
	Create(ctx context.Context, item schema.RobotDataset) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.RobotDataset) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
